Bug 10658 - Sendmail doesn't accept mail.
Summary: Sendmail doesn't accept mail.
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-08 14:57 UTC by jason
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-22 15:51:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jason 2000-04-08 14:57:56 UTC
Hi Guys:

I'm not the only one that's had this problem, so I'm reporting it as a bug.
When I disbale linuxconf from controlling sendmail (mailconf) to install my
own HACKs and FEATUREs, and recompile, sendmail will only accept localhost
for receiving mail.

The way I solved this problem was to manually add the following lines to
the sendmail.cf file:

Cw localhost YYY.XXX.com
Cw XXX.com

where YYY is my host name, XXX is my domain name, and add any other domains
that I do mail hosting for in the same manner. Otherwise, it won't work.

----

The other thing is that if I reinstall sendmail-*.rpm, the /etc/mail/access
file gets these extra lines added to it, that make sendmail crash when I
restart it.

If you need more specifics, please be sure to contact me.

Thanx',
-Adrian

Comment 1 vek 2000-05-05 13:22:59 UTC
This information would normaly go into the /etc/sendmail.cw
file, which is enabled by the Fw line in sendmail.cf





Villy

Comment 2 Florian La Roche 2000-05-22 15:18:59 UTC
can you please show the wrong lines in /etc/mail/access that are
added? Also the data from /etc/mail/{ip_allow,relay_allow,
name_allow,deny}. The wrong data is coming from one of those files...

Thanks,

Florian La Roche

Comment 3 Cristian Gafton 2000-05-22 15:51:59 UTC
assign to laroche


Note You need to log in before you can comment on or make changes to this bug.